User account creation filtered due to spam.

Bug 17660 - manual's description of __attribute__((mode)) is poor, arrangement is confusing
Summary: manual's description of __attribute__((mode)) is poor, arrangement is confusing
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: unknown
: P3 enhancement
Target Milestone: ---
Assignee: Phil Edwards
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2004-09-24 17:02 UTC by Phil Edwards
Modified: 2017-01-09 03:10 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-12-24 19:45:59


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Phil Edwards 2004-09-24 17:02:46 UTC
1)  There is no description of what machine modes are.  Even a reference to the
internals manual would be enough.

2)  The manual's output lists function attributes, /then/ attribute syntax, then
some completely unrelated stuff, then type attributes.  These sections should be
rearranged in the texinfo source.

I plan on doing this sometime before I die, but wanted an open bug to remind me.
 It's assigned to me, but anybody should feel free to beat me to it.
Comment 1 Andrew Pinski 2004-09-24 17:23:57 UTC
Confirmed.
Comment 2 sandra 2017-01-09 03:06:55 UTC
Author: sandra
Date: Mon Jan  9 03:06:23 2017
New Revision: 244215

URL: https://gcc.gnu.org/viewcvs?rev=244215&root=gcc&view=rev
Log:
2017-01-08  Sandra Loosemore  <sandra@codesourcery.com>

	PR middle-end/17660

	gcc/
	* extend.texi (Common Variable Attributes): Add xref to GCC
	Internals manual to explain mode attribute keywords.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/doc/extend.texi
Comment 3 sandra 2017-01-09 03:10:20 UTC
Problem (1) now fixed for GCC 7.

Problem (2) has already been fixed by one of my previous organization changes; now all the attribute-related sections are grouped together.